Page MenuHomePhabricator

[ASan] Use __sanitizer_fill_shadow for FastPoisonShadow on Fuchsia
ClosedPublic

Authored by phosek on Jul 3 2019, 4:11 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

phosek created this revision.Jul 3 2019, 4:11 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 3 2019, 4:11 PM
Herald added subscribers: llvm-commits, Restricted Project, kubamracek. · View Herald Transcript
phosek added a comment.Jul 3 2019, 4:12 PM

Alternatively, I can move FastPoisonShadow implementation to asan_poisoning.cc and asan_fuchsia.cc and implement them separately for each platform, but we would loose the inlining if we do that.

mcgrathr accepted this revision.Jul 3 2019, 5:34 PM

AFAICT the inlining is the whole point of FastPoisonShadow so this LGTM as is.

compiler-rt/lib/asan/asan_poisoning.h
76 ↗(On Diff #207911)

// SANITIZER_FUCHSIA?

This revision is now accepted and ready to land.Jul 3 2019, 5:34 PM
eugenis accepted this revision.Jul 8 2019, 1:18 PM

LGTM

phosek updated this revision to Diff 209132.Jul 11 2019, 12:15 AM
phosek marked an inline comment as done.
This revision was automatically updated to reflect the committed changes.